#
# Christmas Logic 
# Copyright (C) Jack Whitham 2009
#

from baselevel import *
    
A = Create_String(String, "All", colour = (180, 180, 180),
        fill_pos = [(150, 16), (150, 36), (150, 60)], sequence = "1111")
B = Create_String(String, "L", colour = (180, 0, 0),
        fill_pos = [(104, 80), (122, 184)], sequence = "1000")
C = Create_String(String, "LM", colour = (180, 180, 0),
        fill_pos = [(123, 92)], sequence = "1101")
D = Create_String(String, "M", colour = (0, 180, 0),
        fill_pos = [(86, 172), (150, 160), (211, 172)], sequence = "0101")
E = Create_String(String, "MR", colour = (0, 180, 180),
        fill_pos = [(186, 158)], sequence = "0111")
F = Create_String(String, "R", colour = (0, 0, 180),
        fill_pos = [(176, 184), (230, 136)], sequence = "0010")


Create_Component(Light_Control, A)
Create_Component(Light_Control, B)
Create_Component(Light_Control, C)
Create_Component(Light_Control, D)
Create_Component(Light_Control, E)
Create_Component(Light_Control, F)

clockA = Create_Component(Stimulator, "1", "0011")
clockB = Create_Component(Stimulator, "2", "0101")

Create_Component(And_Gate)
Create_Component(And_Gate)
Gap()
Create_Component(Not_Gate)
Create_Component(Not_Gate)
Gap()
Create_Component(Or_Gate)
Create_Component(Or_Gate)
Create_Component(Or_Gate)



Meta_Data(text = "Ring the Bells!",
    image = "bells2",
    desc = "Make the bell appear to swing from side to side. The lights "
        "creating the bell are divided into six groups. These are "
        "left (L), middle (M), and right (R), plus two groups that are "
        "shared between one side and the middle (LM, MR), and a final group "
        "that is always on.\n\n"
        "Hints: Solve in the following order: M, L, R, LM, MR.\n"
        "M can be solved using just one wire. L and R require Nots followed "
        "by Ands.")

